Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.venus.editors.jeditsyntax.tokenmarker
Class TokenMarker.LineInfo

    java.lang.Object
      mars.venus.editors.jeditsyntax.tokenmarker.TokenMarker.LineInfo

Enclosing class:
  TokenMarker

    public class TokenMarker.LineInfo

extends Object

Inner class for storing information about tokenized lines.

Field Summary
`Object` | `obj` This is for use by the token marker implementations themselves.
`byte` | `token` The id of the last token of the line.

Constructor Summary
`TokenMarker.LineInfo()` Creates a new LineInfo object with token = Token.NULL and obj = null.
`TokenMarker.LineInfo(byte token, Object obj)` Creates a new LineInfo object with the specified parameters.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token

    public byte token

  The id of the last token of the line.

### obj

    public Object obj

  This is for use by the token marker implementations themselves. It can be used to store anything that is an object and that needs to exist on a per-line basis.

Constructor Detail

### TokenMarker.LineInfo

    public TokenMarker.LineInfo()

  Creates a new LineInfo object with token = Token.NULL and obj = null.

### TokenMarker.LineInfo

    public TokenMarker.LineInfo(byte token,
                                Object obj)

  Creates a new LineInfo object with the specified parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD